%define upstream_name    Tapper-PRC
%define upstream_version 5.0.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Control running test programs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Minion) >= 9.60.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Log::Log4perl)
BuildRequires: perl(Proc::Killfam)
BuildRequires: perl(Proc::ProcessTable) >= 0.530.0
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Tapper::Base)
BuildRequires: perl(Tapper::Config)
BuildRequires: perl(Tapper::Installer::Base)
BuildRequires: perl(Tapper::Remote::Config)
BuildRequires: perl(Tapper::Remote::Net)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::MockModule)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(YAML)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Tapper - Program run control for test program automation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/tapper-automatic-test.pl
%{_bindir}/tapper-client
%{_bindir}/tapper-client-no-fork
%{_bindir}/tapper-minion-worker

%changelog
* Fri Jan 24 2025 tv <tv> 5.0.5-1.mga10
+ Revision: 2141747
- update to 5.0.5

* Wed Mar 23 2022 umeabot <umeabot> 5.0.4-3.mga9
+ Revision: 1821321
- Mageia 9 Mass Rebuild

* Mon Feb 17 2020 umeabot <umeabot> 5.0.4-2.mga8
+ Revision: 1537530
- Mageia 8 Mass Rebuild

* Mon Nov 04 2019 tv <tv> 5.0.4-1.mga8
+ Revision: 1457557
- update to 5.0.4

* Wed Oct 17 2018 shlomif <shlomif> 5.0.3-1.mga7
+ Revision: 1321556
- New version 5.0.3

* Thu Sep 20 2018 umeabot <umeabot> 5.0.2-2.mga7
+ Revision: 1286236
- Mageia 7 Mass Rebuild

* Wed Aug 02 2017 sander85 <sander85> 5.0.2-1.mga7
+ Revision: 1134053
- update to 5.0.2

* Sun Jun 19 2016 pterjan <pterjan> 4.1.2-8.mga6
+ Revision: 1033719
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 4.1.2-7.mga6
+ Revision: 949571
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 4.1.2-6.mga5
+ Revision: 789665
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 4.1.2-5.mga5
+ Revision: 743873
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.1.2-4.mga5
+ Revision: 686315
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.1.2-3.mga4
+ Revision: 514850
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.1.2-2.mga3
+ Revision: 373055
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 shlomif <shlomif> 4.1.2-1.mga3
+ Revision: 332463
- update to 4.1.2

* Fri Oct 26 2012 shlomif <shlomif> 4.1.0-2.mga3
+ Revision: 310335
- Add desc

* Fri Oct 26 2012 shlomif <shlomif> 4.1.0-1.mga3
+ Revision: 310205
- imported package perl-Tapper-PRC

